﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.WDG.DataSource = GetData();
        this.WDG.DataBind();
    }

    public DataTable GetData()
    {
        DataTable table = new DataTable("Table");
        table.Columns.Add("CategoryId", typeof(string));
        table.Columns.Add("CategoryName", typeof(string));
        table.Columns.Add("Date", typeof(DateTime));

        for (int i = 0; i < 3; i++)
        {
            // DateTime date = new DateTime(2015 + i, 1, 2);
            table.Rows.Add(i, "Name " + i, new DateTime(2015 + i, 1, 2));
        }

        table.PrimaryKey = new DataColumn[] { table.Columns["CategoryId"] };

        return table;
    }
}